import { ChangeRequest, CommitResultMessage, Room } from './internal';
export declare class WebsocketClient {
    #private;
    constructor({ token, debug, }: {
        token?: string;
        debug?: boolean;
        autoReconnect?: boolean;
    });
    commit({ userId, projectId, pageId, parentId, changes, }: {
        userId: string;
        projectId: string;
        pageId: string;
        parentId: string;
        changes: ChangeRequest[];
    }): Promise<CommitResultMessage | Room | null>;
    close(): void;
}
