declare type ParseLineTextResult = {
    indent?: string;
    codeBlock?: string;
    codeBlockFileName?: string;
    codeBlockLang?: string;
    tableBlock?: string;
    tableBlockTitle?: string;
    cli?: string;
    cliPrefix?: string;
    cliCommand?: string;
    text?: string;
} & ({
    indent: string;
    codeBlock: string;
    codeBlockFileName: string;
    codeBlockLang: string;
} | {
    indent: string;
    tableBlock: string;
    tableBlockTitle: string;
} | {
    indent: string;
    cli: string;
    cliPrefix: string;
    cliCommand: string;
} | {
    indent: string;
    text: string;
});
export declare const parseLineText: (text: string) => ParseLineTextResult;
export {};
